# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'htmlpp/version'

Gem::Specification.new do |spec|
  spec.name          = "htmlpp"
  spec.version       = Htmlpp::VERSION
  spec.authors       = ["James Vaughan"]
  spec.email         = ["dev.jamesvaughan@gmail.com"]

  spec.summary       = %q{A simple pre-processor for creating static websites in
                          a semi-dynamic way.}
  spec.description   = %q{This utility is designed to allow for dynamic updating
                          of static websites. It provides basic tools to allow
                          modular designs, and attempts to provide maximum
                          compatibility by compiling down to static HTML.}
  spec.homepage      = "https://j-vaughan.github.io/htmlpp/"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = 'https://rubygems.org'
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler",  "~> 1.11"
  spec.add_development_dependency "rake",     "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
